Skip to content

Delete a worklog

DELETE/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/worklogs/{worklog_id}/

Delete a worklog entry

Path Parameters

work_item_id:requiredstring

The unique identifier of the work item.

worklog_id:requiredstring

The unique identifier of the worklog.

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Scopes

projects.work_items.worklogs:write

Delete a worklog
bash
curl -X DELETE \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/worklogs/worklog-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response204

No response body.